Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 80626

Summary: Using swapfile on ext3 causes crash
Product: [Retired] Red Hat Linux Reporter: Bart Ogryczak <z-rhbug>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: high Docs Contact:
Priority: high    
Version: 7.3   
Target Milestone: ---   
Target Release: ---   
Hardware: athlon   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-30 15:40:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bart Ogryczak 2002-12-28 23:41:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021204

Description of problem:
Using swapfile on ext3 under heavy load causes serious problems with system
stability (applications behave like with broken RAM). Sometimes even couses
system crashes (kernel panic or freezing when halting).
Kernel is 2.4.18-19.7.x on RH Linux 7.3.
No problems with same configuration and swap partition.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. create swapfile on ext3 partition 
2. mount it with swapon
3. use some application, which will need lots of memory and CPU.
    

Actual Results:  Application unstable, often crashing. Sometimes whole system
going down with kernel panic.

Additional info:

Comment 1 Ben LaHaise 2003-01-02 16:39:50 UTC
Are you booting with data=journal per chance?  How is the swapfile being
created?  Swapfiles must not be sparse files.  Also, providing the kernel
messages for any crashes would be helpful.

Comment 2 Bart Ogryczak 2003-01-02 17:27:09 UTC
I'm booting without any additional flags for ext3. 
The boot command in grub.conf is as follows:
title Red Hat Linux (2.4.18-19.7.x)
  root (hd0,1)
  kernel /vmlinuz-2.4.18-19.7.x ro root=/dev/hda5 hda=autotune hdd=ide-scsi 

Filesystems are:
/dev/hda2 /boot ext3 
/dev/hda5 / ext3 

Swapfile was created on / partition (made /swap/ directory for it, if that's
relevant). By the book - dd if=/dev/zero of=swapfile bs=1024 count=262144

And one more thing. No doubt about it, after getting rid of that swapfile my
system is way more stable.


Comment 3 Bugzilla owner 2004-09-30 15:40:20 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/